#
# spec file for package kdepim3 (Version 3.1.1)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  kde3-devel-packages libart_lgpl libart_lgpl-devel pilot-link pilot-link-devel python
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs arts arts-devel autoconf automake binutils bzip2 cracklib expat fam fam-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext kdelibs3 kdelibs3-devel libart_lgpl libart_lgpl-devel libjpeg liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtool libxml2 libxml2-devel libxslt libxslt-devel mesa mesa-devel mesaglu mesaglu-devel mesaglut mesaglut-devel mesasoft openssl openssl-devel perl pilot-link pilot-link-devel python qt3 qt3-devel rpm

Name:         kdepim3
License:      GPL
Group:        System/GUI/KDE
Summary:      Personal Information Manager software for KDE
Version:      3.1.1
Release:      180
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
#Source0:      kdepim-%{version}.tar.bz2
Source0:      kdepim-kroupware-1.0.1.tar.bz2
%if %suse_version > 730
Provides:     kdepim
%endif

%description
This package contains tools for address and date organization.

Authors:
--------
    The KDE Team <kde@kde.org>

%package time-management
# usesubdirs karm konsolekalendar kalarm
Provides:     kdepim3:/opt/kde3/bin/karm
Summary:      PIM - personal information manager
Group:        System/GUI/KDE

%description time-management
This package contains tools for address and date organisation.

Authors:
--------
    The KDE Team <kde@kde.org>

%package sync
# usesubdirs kandy 
#ksync
Summary:      Communication with mobile phones
Provides:     kdepim3:/opt/kde3/bin/kandy
Group:        System/GUI/KDE

%description sync
This package contains Kandy, a tool for syncing the KDE address book with the phonebook of mobile phones.

Authors:
--------
    The KDE Team.

%package organizer
# usesubdirs korganizer
Summary:      PIM - personal information manager
Provides:     kdepim3:/opt/kde3/bin/korganizer
Group:        System/GUI/KDE

%description organizer
This package contains tools for address and date organisation.

Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -n kdepim-kroupware-1.0.1
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde --disable-final
  
make

%install
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT install-strip

%post
%run_ldconfig
%if %suse_version > 800
%post organizer
%run_ldconfig
%endif

%files
%defattr(-,root,root)
/opt/kde3/bin/kalarmd
/opt/kde3/bin/knotes
/opt/kde3/bin/korgac
/opt/kde3/include/KNotesIface.h
/opt/kde3/include/kgantt
/opt/kde3/%_lib/libkalarmd.*
/opt/kde3/%_lib/libkcal.*
/opt/kde3/%_lib/libkdgantt.*
/opt/kde3/share/applnk/Utilities/knotes.desktop
/opt/kde3/share/apps/kalarmdgui
/opt/kde3/share/apps/kgantt
/opt/kde3/share/apps/knotes
/opt/kde3/share/autostart/kalarmd.autostart.desktop
/opt/kde3/share/autostart/korgac.desktop
%config /opt/kde3/share/config/*rc
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kalarm
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kandy
%doc %lang(en) /opt/kde3/share/doc/HTML/en/karm
%doc %lang(en) /opt/kde3/share/doc/HTML/en/knotes
%doc %lang(en) /opt/kde3/share/doc/HTML/en/korganizer
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kaddressbook
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kcontrol/kalarmd
/opt/kde3/include/kdepim
/opt/kde3/share/icons/*/??x??/*/knotes.png
/opt/kde3/bin/kabc2mutt
/opt/kde3/bin/kaddressbook
/opt/kde3/bin/ksync
/opt/kde3/%_lib/kde3/kfile_vcf.la
/opt/kde3/%_lib/kde3/kfile_vcf.so
/opt/kde3/%_lib/kde3/libkaddressbookpart.la
/opt/kde3/%_lib/kde3/libkaddressbookpart.so
/opt/kde3/%_lib/libkcalsystem.la
/opt/kde3/%_lib/libkcalsystem.so
/opt/kde3/%_lib/libkcalsystem.so.0
/opt/kde3/%_lib/libkcalsystem.so.0.0.1
/opt/kde3/%_lib/libkdepim.la
/opt/kde3/%_lib/libkdepim.so
/opt/kde3/%_lib/libkdepim.so.1
/opt/kde3/%_lib/libkdepim.so.1.0.0
/opt/kde3/%_lib/libknewstuff.la
/opt/kde3/%_lib/libknewstuff.so
/opt/kde3/%_lib/libknewstuff.so.1
/opt/kde3/%_lib/libknewstuff.so.1.0.0
/opt/kde3/%_lib/libkpimexchange.la
/opt/kde3/%_lib/libkpimexchange.so
/opt/kde3/%_lib/libkpimexchange.so.1
/opt/kde3/%_lib/libkpimexchange.so.1.0.0
/opt/kde3/%_lib/libksync.la
/opt/kde3/%_lib/libksync.so
/opt/kde3/%_lib/libksync.so.1
/opt/kde3/%_lib/libksync.so.1.0.0
/opt/kde3/share/applnk/.hidden/kalarmd.desktop
/opt/kde3/share/applnk/Utilities/More/kalarm.desktop
/opt/kde3/share/applnk/Utilities/More/kandy.desktop
/opt/kde3/share/applnk/Utilities/More/karm.desktop
/opt/kde3/share/applnk/Utilities/kaddressbook.desktop
/opt/kde3/share/apps/kaddressbook
/opt/kde3/share/apps/ksync
/opt/kde3/share/icons/*/??x??/*/kaddressbook.png
/opt/kde3/share/services/kfile_vcf.desktop
/opt/kde3/share/services/webcal.protocol
%if %suse_version > 800

%files time-management
%defattr(-,root,root)
%endif
/opt/kde3/bin/kalarm
/opt/kde3/bin/karm
/opt/kde3/bin/konsolekalendar
/opt/kde3/share/applnk/Applications/kalarm.desktop
/opt/kde3/share/applnk/Utilities/karm.desktop
/opt/kde3/share/apps/kalarm
/opt/kde3/share/apps/karm
/opt/kde3/share/autostart/kalarm.tray.desktop
/opt/kde3/share/icons/*/??x??/*/kalarm.png
/opt/kde3/share/icons/*/??x??/*/karm.png
%if %suse_version > 800

%files sync
%defattr(-,root,root)
%endif
/opt/kde3/bin/kandy*
/opt/kde3/share/applnk/Utilities/kandy.desktop
/opt/kde3/share/apps/kandy
%if %suse_version > 800

%files organizer
%defattr(-,root,root)
%endif
/opt/kde3/bin/ical2vcal
/opt/kde3/bin/korganizer*
#/opt/kde3/include/calendar
#/opt/kde3/include/korganizer
#/opt/kde3/%_lib/kde3/libkorg_*
/opt/kde3/%_lib/libkorganizer.*
/opt/kde3/share/applnk/Applications/korganizer.desktop
/opt/kde3/share/apps/korganizer
/opt/kde3/share/icons/*/??x??/*/korganizer.png
#/opt/kde3/share/services/korganizer
#/opt/kde3/share/servicetypes/calendar*
#/opt/kde3/share/servicetypes/korganizerpart.desktop

%changelog -n kdepim3
* Tue Mar 11 2003 - adrian@suse.de
- update to 3.1.1, try 2
* Mon Mar 03 2003 - adrian@suse.de
- update to 3.1.1
* Wed Feb 05 2003 - adrian@suse.de
- add 3_1_BRANCH patch
* Fri Jan 17 2003 - adrian@suse.de
- use RC7-try2 tar ball
* Wed Jan 15 2003 - adrian@suse.de
- update to RC7
* Tue Jan 07 2003 - adrian@suse.de
- update to RC6
* Fri Dec 06 2002 - coolo@suse.de
- fixing the fix
* Fri Dec 06 2002 - coolo@suse.de
- replacing 3.0 branch with 3.1 branch
- fixing file list for lib64
* Tue Dec 03 2002 - adrian@suse.de
- fix dependencies. kdepim3 does not require kdepim3-kpilot anymore
* Thu Nov 28 2002 - adrian@suse.de
- update tar ball to second try
* Mon Nov 25 2002 - adrian@suse.de
- update to RC5
* Sat Nov 23 2002 - adrian@suse.de
- fix build for < SuSE 8.1
* Wed Nov 20 2002 - adrian@suse.de
- update to version 3.1-RC4 (final ?)
* Sun Nov 03 2002 - adrian@suse.de
- update to version 1.1.0.20021030 ~= RC1
* Tue Oct 08 2002 - adrian@suse.de
- update to version 3.0.4
* Thu Sep 19 2002 - coolo@suse.de
- update to the 3.0 branch to include the knotes fix
  Lubos did (do not crash on exit #19663)
* Wed Aug 21 2002 - adrian@suse.de
- do not start korgac by default
* Wed Aug 14 2002 - coolo@suse.de
- fixing build on s390(x)
* Thu Aug 08 2002 - adrian@suse.de
- fix file list
* Thu Aug 08 2002 - adrian@suse.de
- update to version 3.0.3
* Wed Jul 17 2002 - adrian@suse.de
- split package into -organizer, -time-management and -sync
* Thu Jul 04 2002 - coolo@suse.de
- fixing for qt 3.0.5
* Wed Jun 26 2002 - adrian@suse.de
- fix #neededforbuild (+= python)
* Mon Jun 24 2002 - adrian@suse.de
- update to version 3.0.2
* Sun Jun 09 2002 - ro@suse.de
- use update_admin and new common_options
* Fri May 10 2002 - adrian@suse.de
- update to 3.0.1
* Tue Apr 09 2002 - coolo@suse.de
- adding latest fixes in the 3.0 branch (fixing automake issues)
* Mon Mar 25 2002 - adrian@suse.de
- update to 3.0 final :)
* Thu Mar 21 2002 - adrian@suse.de
- update to 3.0rc3
* Sun Mar 10 2002 - adrian@suse.de
- update to 3.0rc2
* Mon Feb 25 2002 - adrian@suse.de
- update to snapshot 2.92.2002022512
* Fri Feb 15 2002 - adrian@suse.de
- update to snapshort 2.92.2002021421
* Wed Feb 06 2002 - adrian@suse.de
- update to version 2.92 (KDE 3.0 beta 2)
- use common_compile_flags
* Mon Jan 28 2002 - adrian@suse.de
- update to snapshot 2.91.2002012811
* Thu Jan 24 2002 - adrian@suse.de
- update to snapshot 2.91.2002012412
* Tue Dec 18 2001 - adrian@suse.de
- update to version 2.91 (3.0 beta1)
* Wed Nov 14 2001 - adrian@suse.de
- update to fixed version 2.2.2
  (efax is linked against libkdefakes)
* Mon Nov 12 2001 - ro@suse.de
- use kde2-devel-packages in neededforbuild
* Sat Sep 08 2001 - adrian@suse.de
- update to 2.2.1
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Mon Aug 06 2001 - adrian@suse.de
- update to 2.2 final
- remove fixes for broken autoconf setup
* Tue May 08 2001 - schwab@suse.de
- Explicitly configure with --enable-shared to get valid libtool
  convenience libraries.
- Fix invalid casts and missing declarations.
* Sun Apr 08 2001 - adrian@suse.de
- use -O2 for alpha and ppc
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Wed Mar 28 2001 - adrian@suse.de
- move all kpilot binarys to kdepim-kpilot
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 25 2001 - adrian@suse.de
- split package. Extra package for kpilot.
  go to -O2 for ppc
* Tue Mar 20 2001 - adrian@suse.de
- update to finale 2.1.1
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Sun Feb 25 2001 - adrian@suse.de
- activate korganizer again
* Thu Feb 22 2001 - adrian@suse.de
- update to final 2.1.0
* Wed Feb 14 2001 - adrian@suse.de
- update to 2.1 post beta 2
* Sun Jan 07 2001 - adrian@suse.de
- change icon handling
* Mon Dec 18 2000 - adrian@suse.de
- fix icon list
* Sun Dec 17 2000 - adrian@suse.de
- fix icon file conflicts
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Thu Nov 30 2000 - adrian@suse.de
- update to 2.0.1
* Mon Nov 20 2000 - adrian@suse.de
- added missing path to filelist
* Thu Nov 16 2000 - adrian@suse.de
- New version from KDE_2_0_BRANCH
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4 / 1.93
* Tue Jul 25 2000 - adrian@suse.de
- update to second try of beta 3
* Mon Jul 17 2000 - adrian@suse.de
- snapshot from 17.07.2000
* Sun Jul 09 2000 - adrian@suse.de
- snapshot from 06.07.2000
* Fri Jun 09 2000 - adrian@suse.de
- up to 1.91
* Tue Jun 06 2000 - adrian@suse.de
- snapshot from 06.06.2000
* Sun May 28 2000 - adrian@suse.de
- snapshot from 28.05.2000, post-1.90
